/export torecMode selects the parsing path used by the service:1 - URL mode: filePath is an HTTP(S) HLS playlist or MPD URL that can be0 - storage-info mode: filePath is a relative MPD/HLS path under the TSstorageInfo.storageInfo is a Base64-encoded JSON array containing the cloud storage credentials| Code | Message | Cause |
|---|---|---|
1000 | task created successfully | Success; read videoSize |
1018 | the request param abnormal. | Required field missing or invalid (filePath, startTime, duration, recMode, storageInfo, or userAccount) |
1019 | init aws s3 sdk failed, please contact TVU Support. | Storage credentials invalid or unreachable |
1023 | (bucket connection failed) | Failed to connect to the source storage bucket |
1093 | verify required ts fail. | Source TS file check failed for the requested time range |
curl --location 'https://api.tvunetworks.com/estimate-video-size' \
--header 'SID: 92575d36dcb631ac94745e6b157de17a5a13d65b31e44869f06854ab928dd80235d4daae8696b4a92a7be5f802c45a219648701fc9ca59f44e9c0f022d5d38a7' \
--header 'Content-Type: application/json' \
--data-raw '{
"filePath": "https://mma-video-new.s3.us-east-1.amazonaws.com/ts/PRODUCER_RECORDINGS/source-001/live-001/1/play.m3u8",
"startTime": 1700000000000,
"duration": 30000,
"recMode": 1,
"storageInfo": "W3sic3RvcmFnZV90eXBlIjoiczMiLCJzdG9yYWdlX25hbWUiOiJtbWEtdmlkZW8tbmV3Iiwic3RvcmFnZV9sb2NhdGlvbiI6InVzLWVhc3QtMSIsInN0b3JhZ2VfcHVycG9zZSI6IlRTIiwic3RvcmFnZV9yb290X2ZvbGRlciI6IiJ9XQ==",
"userAccount": "user@example.com"
}'{
"errorCode": 1000,
"errorMsg": "",
"videoSize": 52428800
}